Subject: [Stackevo] update program description

From: Brian Trammell <[email-masked]>
Date: Wed, 6 Apr 2016 15:21:17 -0300

hi Cindy,

Per our discussion yesterday,

---

From: Brian Trammell <[email-masked]>
Date: Wed, 6 Apr 2016 15:27:04 -0300

Oops, sorry about that. This time, with content:

Hi Cindy,

Per the Stack Evolution program meeting on Monday, we've decided on new text for the program description; please update the program description on the webpage to the following, with links as appropriate:

Description
-----------

The IP Stack Evolution program covers various topics in the evolution of IPv4 and IPv6, the transport protocols running over IP, and the overall protocol stack architecture. The program addresses challenges that affect the stack in some way and where the IETF community requires architectural guidance, responding to community requests as well as actively monitoring work within IETF WGs which touch on relevant topics.

There is an observed trend of functionality moving “up the stack”: where the “waist” was once IP, now most applications run over TCP/IP, or even HTTP/TCP/IP; the stack has become increasingly ossified. This is in response both to reduced path transparency within the Internet — middleboxes that limit the protocols of the traffic that can pass through them — as well as insufficiently flexible interfaces for platform and application developers. The emergence of both new application requirements demanding more flexibility from the stack, especially at layer 4, as well as the increasing ubiquity of encryption to protect against pervasive surveillance, provides an opportunity to re-evaluate and reverse this trend.

This program aims to provide architectural guidance, and a point of coordination for work at the architectural level to improve the present situation of ossification in the Internet protocol stack. Where a working group relevant to a particular aspect of IP stack evolution exists, the program will facilitate cross-group and cross-area coordination. The program also produces documents on the IAB stream providing general guidance on and covering architectural aspects of stack evolution.

Current Active Work
-------------------

(1) Discussion of principles for making new protocols within the IP stack deployable, following in part on RFC 5218 “What Makes for a Successful Protocol”.

(2) Discussion of principles for the use of encapsulation at various layers within the protocol stack. UDP-based encapsulations are not only useful for evolution above the IP layer, but in many tunneling contexts as well. The probable commonalities among all these applications of encapsulation might be useful in simplifying their implementation, deployment, and use.

(3) Architectural guidance on the interoperability of protocol stacks for use in constrained devices, focusing on issues related to mutually incompatible interactions among application, transport, network, and link layer protocols.

Past Workshops, BoFs, etc.
--------------------------

The Program has organized several workshops, Birds of a Feather sessions, and proposed Research Groups on topics related to its areas of work:

* The IAB workshop on [Stack Evolution in a Middlebox Internet](https://www.iab.org/activities/workshops/semi/) (SEMI) in Zurich, January 2015. Read the Workshop Report, [RFC 7663](https://www.rfc-editor.org/info/rfc7754)
* The [Substrate Protocol for User Datagrams](https://www.ietf.org/proceedings/92/spud.html) (SPUD) BoF at IETF 72 in Dallas, March 2015.
* The [Managing Radio Networks in an Encrypted World (MaRNEW)](https://www.iab.org/activities/workshops/marnew/)Workshop in Atlanta, September 2015, together with GSMA.
* The Measurement and Analysis for Protocols (MAP) proposed Research Group has been meeting since IETF 73 in Prague (until IETF 74 in Yokohama as "How Ossified is the Protocol Stack?" (HOPS) proposed RG). Discussion is at <[email-masked]>.

Documents Published
-------------------

* Technical Considerations for Internet Service Blocking and Filtering (RFC 7754)

This program has itself evolved from the IP Evolution Program, which looked at general architectural issues in the evolution of IPv4 and IPv6 and the overall protocol stack architecture, and produced the following documents:

* IAB Thoughts on IPv6 Network Address Translation (RFC 5902)
* Evolution of the IP Model (RFC 6250)
* Smart Objects Workshop Report (RFC 6574)
* Architectural Considerations of IP Anycast (RFC 7094)
* Report from the IAB Workshop on Internet Technology Adoption and Transition (ITAT) (RFC 7305)

In addition, please add Lee Howard as an IAB member.

Many thanks, cheers,

Brian

> On 06 Apr 2016, at 15:21, Brian Trammell <[email-masked]> wrote:
> 
> hi Cindy,
>